## arpack++ 2.3

=== debian/changelog ===
arpack++ (2.3-8) unstable; urgency=medium

  * [5cdaf7c] Set Standards-Version: 4.1.1. No changes
  * [07647b0] Remove myself from uploaders

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Dec 2017 19:42:46 +0100

arpack++ (2.3-7) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Jul 2017 23:38:55 +0200

arpack++ (2.3-7~exp1) experimental; urgency=medium

  * [a147bbe] Switch to compat-level 10.
  * [b8c7298] Use hardening=+all option.

 -- Anton Gladky <gladk@debian.org>  Fri, 19 May 2017 18:55:47 +0200

arpack++ (2.3-6) unstable; urgency=medium

  * [1035f68] Apply cme fix dpkg.
  * [aeed845] Remove Christophe from uploaders list. (Closes: #835015)

 -- Anton Gladky <gladk@debian.org>  Sat, 27 Aug 2016 08:58:27 +0200

arpack++ (2.3-5) unstable; urgency=medium

  * [a562818] Skip example-folder by configure script.
  * [83ff38e] Do not compress Makefile. (Closes: #761258)

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Sep 2014 19:43:00 +0200

arpack++ (2.3-4) unstable; urgency=medium

  * [4d15442] Use dh9 instead of cdbs.
  * [d1c6199] Multiarc the library.
  * [5f6c492] Use DEP-5 for d/copyright.
  * [41550ca] Do not build example-dir.
  * [bcb89f4] Ignore quilt dir
  * [5b7e0cf] Replace libsuperlu3-dev by libsuperlu-dev.
  * [9fe3231] Add libopenblas-dev to Recommends.
  * [ee90eaf] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Sep 2014 20:24:08 +0200

arpack++ (2.3-3) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Team upload
  * Standards-Version updated to 3.9.5
  * Fix the URL (Closes: #702546)
  * libarpack++2-dev recommends libsuperlu3-dev (Closes: #726568)
  * Fix 'gcc-4.7 build errors (missing this pointers)' (Closes: #684805)

  [ Daniel T Chen ]
  * [89a7d41] Use dh-autoreconf. (Closes: #713300)

  [ Anton Gladky ]
  * [e72ea5e] Set build-flags using dpkg-buildflags.
  * [33978b1] Set compat 9.
  * [22174c7] Add myself to uploaders.
  * [7a88366] Use wrap-and-sort.
  * [c1848c7] Switch VCS to git.

 -- Anton Gladky <gladk@debian.org>  Wed, 10 Sep 2014 20:37:45 +0200

arpack++ (2.3-2) unstable; urgency=low

  * Team upload
  * Package moved to debian science
  * Standards-Version updated to version 3.9.2
  * Codes with "arlsmat.h" could not be compiled. Thanks to Konstantinos
    Poulios for the patch (Closes: #508744)
  * Switch to dpkg-source 3.0 (quilt) format
  * spelling-error-in-description fixed: correponding => corresponding
  * outdated-autotools-helper-file fixed => autoreconf
  * debhelper-but-no-misc-depends fixed

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Aug 2011 10:29:30 +0200

arpack++ (2.3-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * debian/control: update Standards-Version to 3.7.3, no changes
  * debian/control: removed XS- prefix
  * upstream is now hosted on gforge.imag.fr
  * Fixed "please update to use gfortran based lapack, blas", thanks to
    Kumar Appaiah (Closes: #463931).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 14 Mar 2008 08:40:55 +0100

arpack++ (2.2-10) unstable; urgency=low

  [ Christophe Prud'homme ]
  * updated autotools files

  [ Rafael Laboissiere ]
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source
    section

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 29 May 2007 22:51:04 +0200

arpack++ (2.2-9) unstable; urgency=low

  * Fixed miscompiles on amd64 with rpath /usr/lib64, thanks to Goswin von
    Brederlow (closes: #378210)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 16 Jul 2006 12:56:13 +0200

arpack++ (2.2-8) unstable; urgency=low

  * Updated to Standards-Version 3.7.2(no change)
  * Updated Maintainer and Uploaders field
  * Fixed FTBFS with GCC 4.2: C/C++ linkage declarations conflict (closes: #377103)

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri,  7 Jul 2006 15:11:17 +0200

arpack++ (2.2-7) unstable; urgency=low

  * g++/libstdc++ new allocator transition
  * use my debian email address

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 20 Nov 2005 17:26:49 +0100

arpack++ (2.2-6) unstable; urgency=low

  * Build-Depends on refblas-3dev and lapack3-dev

 -- Christophe Prud'homme <prudhomm@mit.edu>  Fri, 15 Jul 2005 07:45:34 +0200

arpack++ (2.2-5) unstable; urgency=low

  * Change Build-Depends for blas and lapack

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 15 Jul 2005 00:01:33 +0200

arpack++ (2.2-4) unstable; urgency=low

  * g++-4.0 transition: libarpack++2 -> libarpack++2c2
  * Update Standards-Version to 3.6.2 (no changes)
  * Changed Build-Depends blas-dev to refblas3-dev

 -- Christophe Prud'homme <prudhomm@mit.edu>  Sun, 10 Jul 2005 09:30:57 +0200

arpack++ (2.2-3) unstable; urgency=low

  * really fix build-depends
  * FTBFS: Missing Build-Depends on 'libg2c0-dev, blas-dev, lapack3-dev,
    libarpack2-dev' (closes: #302032)
  * FTBFS: you need blas (closes: #302094)

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 30 Mar 2005 08:19:00 +0200

arpack++ (2.2-2) unstable; urgency=low

  * Fix build dependencies

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 29 Mar 2005 20:44:21 +0200

arpack++ (2.2-1) unstable; urgency=low

  * Fixed all examples, autotools-ified, added testsuite
  * arpack++: fails to comple simple.cc example given in "nonsym" examples
    directory (closes: #300168)

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 25 Mar 2005 15:25:10 +0100

arpack++ (2.1-6) unstable; urgency=low

  * patch applied to get rid of multiple symbols at link time when used
    certain compilation options (like -g)
  * follow standard naming conventions: renamed to libarpack++ and
    libarpac++-dev
  * update build-depends on debhelper
  * make -f Makefile.cvs  not called in rules anymore

 -- Christophe Prud'homme <prudhomm@mit.edu>  Tue,  9 Dec 2003 09:15:21 +0100

arpack++ (2.1-5) unstable; urgency=low

  * update Standards-Version
  * depends on libarpack2-dev


