=== debian/control ===
Source: arpack++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               libarpack2-dev,
               libblas-dev,
               liblapack-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/arpack++.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/arpack++.git
Homepage: http://www.caam.rice.edu/software/ARPACK/arpack++.html

Package: libarpack++2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libarpack++2c2a (= ${binary:Version}),
         libarpack2-dev,
         ${misc:Depends}
Recommends: libsuperlu-dev,
            libopenblas-dev
Pre-Depends: ${misc:Pre-Depends}
Description: Object-oriented version of the ARPACK package (development)
 ARPACK++ is an object-oriented version of the ARPACK package. It consists a
 collection of classes that offers c++ programmers an interface to ARPACK. It
 preserves the full capability, performance, accuracy and low memory
 requirements of the FORTRAN package, but takes advantage of the c++
 object-oriented programming environment.
 .
 ARPACK stands for ARnoldi PACKage and provides standard and
 generalized eigenvalue solvers for sparse matrices that arises
 typically from finite element codes. See the corresponding Debian
 package.

Package: libarpack++2c2a
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: arpack++,
           libarpack++2,
           libarpack++2c2
Replaces: libarpack++2,
          libarpack++2c2
Description: Object-oriented version of the ARPACK package (runtime)
 ARPACK++ is an object-oriented version of the ARPACK package. It consists a
 collection of classes that offers c++ programmers an interface to ARPACK. It
 preserves the full capability, performance, accuracy and low memory
 requirements of the FORTRAN package, but takes advantage of the c++
 object-oriented programming environment.
 .
 ARPACK stands for ARnoldi PACKage and provides standard and
 generalized eigenvalue solvers for sparse matrices that arises
 typically from finite element codes. See the corresponding Debian
 package.
