=== debian/watch ===
version=3
http://ljk.imag.fr/membres/Christophe.Prudhomme/software/ arpack\+\+-([\d.]+)\.tar\.gz
